Subject: Re: ref name troubles, was Re: [PATCH v2] Introduce %<branch> as shortcut to the tracked branch

From: Michael J Gruber <[email-masked]>
Date: Fri, 20 Mar 2009 16:12:51 +0100

Johannes Schindelin venit, vidit, dixit 20.03.2009 16:01:
> Hi,
> 
> On Fri, 20 Mar 2009, Michael J Gruber wrote:
> 
>> Do we have ^ as a prefix yet?
> 
> Yes, it means "not".  IOW '^bla blub' is the same as 'bla..blub'.

Oh yes, I forgot. commit specifiers and ranges are in different sections
in git-rev-parse.1.

>> Also, I don't think people would use @@ much in branch names.
> 
> Whoa...

We already have ^! and ^@ (I didn't know).

While someone may have a branch like "@junio" I think doubled special
characters are uncommon. Except for that topic branch /&$%$%§$%&/) for a
really nasty bug.

Of course, if @@ refers to a tracked branch which follows another
branch, then @@@@...

Michael